Search Support

Since updating to the latest version Firefox 18 can't get Norton toolbar to work

  • 8 replies
  • 8 have this problem
  • 3248 views
  • آخر ردّ كتبه lynspottery

more options

Hi there,

Since updating to the latest version of Firefox (v18) can't get Norton toolbar or Norton vulnerability protection to work ? Can you please advise which version of Firefox is compatible with Norton 360 and how I might install it ? Many thanks -

Kind Regards,

Peter.

Chosen solution

Hello,

The latest version of Firefox is currently 17.0.1. Version 18.0 is the beta, which is intended for testing. Security software vendors typically only make their add-ons compatible with the current versions of browsers, not the ones for testing.

You can download the current version of Firefox from the following link.

You may want to create a backup copy of your profile folder before installing.

Afterwards, make sure Firefox is closed, then run the setup program and install on top of your current version.


More information about Symantec product compatibility can be found on the Norton forum.

Read this answer in context 👍 1

All Replies (8)

more options

Chosen Solution

Hello,

The latest version of Firefox is currently 17.0.1. Version 18.0 is the beta, which is intended for testing. Security software vendors typically only make their add-ons compatible with the current versions of browsers, not the ones for testing.

You can download the current version of Firefox from the following link.

You may want to create a backup copy of your profile folder before installing.

Afterwards, make sure Firefox is closed, then run the setup program and install on top of your current version.


More information about Symantec product compatibility can be found on the Norton forum.

more options

Hello, Many thanks, this solved the initial problem as version 17.01 allows Norton Toolbar. Unfortunately it has re-introduced another problem, (the reason I tried beta version 18) namely that of adobe flashplayer crashes - error "adobe flash player 11.5 has stopped working". Despite uninstalling and re-installing the latest version of flash player am still getting this error all the time. Any ideas on how to get Firefox, Norton and Adobe to 'play nicely' together ? Many thanks for your kind help.

more options

Hello again,

You're welcome. For the Flash problem,

Good luck.

more options

I tried to find the version 17 but the page only shows a download for 18 which is idiotic since it is a beta copy. WHY DOES FIREFOX DO THIS?

I am so tired of these browsers messing up my stuff.

more options

firefox 18 was released this week, so it's no longer in beta status (this thread was started over a month ago) - in the meanwhile norton has made its products compatible with firefox 18. run symantec live update to obtain the latest compatible version: https://community.norton.com/t5/Norton-Toolbar-Norton-Identity/Firefox-18-Support-for-Norton-Toolbar/td-p/886714

more options

Sorry that did not work. I did update my Norton using liveupdate. Still the toolbar and the Norton Identity Safe DID NOT UPDATE.

more options

i just completed fully updating my Norton360 to 20.2.0.19 and Firefox to 18.0.1 and it still tells me that Norton toolbar is not compatible with Firefox 18. So aggravating!

more options

I discovered that after using the Norton Live Updater, I had to go into the Browser's Tool menu, click on Add-ons, then in that menu I had to select Extensions, then choose to enable which add-ons I wanted to be enabled.

Try that and I think you will find it will work for you.

Modified by lynspottery